Host Datastore System Extend Vmfs Datastore

Host Datastore System Extend Vmfs Datastore
Increases the capacity of an existing VMFS datastore by adding new extents to the datastore.

Increases the capacity of an existing VMFS datastore by adding new extents to the datastore.

Required privileges: Host.Config.Storage

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/ExtendVmfsDatastore
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ExtendVmfsDatastoreRequestType of type(s) application/json
Required

Show optional properties

{
    "datastore": {},
    "spec": {}
}
{
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "spec": {
        "_typeName": "string",
        "diskUuid": "string",
        "partition": {
            "_typeName": "string",
            "partitionFormat": "string",
            "chs": {
                "_typeName": "string",
                "cylinder": 0,
                "head": 0,
                "sector": 0
            },
            "totalSectors": 0,
            "partition": [
                {
                    "_typeName": "string",
                    "partition": 0,
                    "startSector": 0,
                    "endSector": 0,
                    "type": "string",
                    "guid": "string",
                    "logical": false,
                    "attributes": 0,
                    "partitionAlignment": 0
                }
            ],
            "sectorSize": 0
        },
        "extent": [
            {
                "_typeName": "string",
                "diskName": "string",
                "partition": 0
            }
        ]
    }
}
datastore
Required

The datastore whose capacity should be increased.

spec
Required

The specification describing what extents to add to a VMFS datastore.

Authentication
This operation uses the following authentication methods.
Responses
200

The extended datastore.

Returns MoRefDatastore of type(s) application/json
This response body class contains all of the following: MoRefManagedEntity
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

NotFound: if a datastore with the name could not be found.

NotSupported: if the host is not an ESX Server.

HostConfigFault: if unable to extend the VMFS volume.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}","spec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostDatastoreSystem/{moId}/ExtendVmfsDatastore